## ubuntu-docs 6.06.1

=== Makefile ===
####################################################################################           
# Makefile for the Ubuntu Documentation Website
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Ubuntu Docbook Customization Layer

INDEXCHUNKXSL=libs/index-html-chunk-cust.xsl

# Base gnome directories for output from processor
BASE=build/

website: index-all
	@echo "Building the Ubuntu Docs . . ."

	make -C ubuntu -f Makefile website pdf

	@echo "Building the Kubuntu Docs . . ."

	make -C kubuntu -f Makefile website pdf

index-all: index-C index-be index-bn index-bo index-cs index-da index-de index-el index-es index-et index-fi index-fr index-hr index-hu index-id index-is index-it index-ja index-ka index-ko index-ku index-lt index-nb index-pl index-pt index-pt_BR index-ru index-ro index-sk index-sv index-th index-tl index-tr index-zh_CN index-zh_TW

	cp libs/index.css $(BASE)
	mkdir -p $(BASE)ubuntu/common/img/
	cp ubuntu/libs/img/*png $(BASE)ubuntu/common/img/

index-C:

	xsltproc --stringparam root.filename "index" -o $(BASE) $(INDEXCHUNKXSL) website-index/C/website-index.xml

index-be:

	xsltproc --stringparam root.filename "index.be" -o $(BASE) $(INDEXCHUNKXSL) website-index/be/website-index.xml

index-bn:

	xsltproc --stringparam root.filename "index.bn" -o $(BASE) $(INDEXCHUNKXSL) website-index/bn/website-index.xml

index-bo:

	xsltproc --stringparam root.filename "index.bo" -o $(BASE) $(INDEXCHUNKXSL) website-index/bo/website-index.xml

index-cs:

	xsltproc --stringparam root.filename "index.cs" -o $(BASE) $(INDEXCHUNKXSL) website-index/cs/website-index.xml

index-da:

	xsltproc --stringparam root.filename "index.da" -o $(BASE) $(INDEXCHUNKXSL) website-index/da/website-index.xml

index-de:

	xsltproc --stringparam root.filename "index.de" -o $(BASE) $(INDEXCHUNKXSL) website-index/de/website-index.xml

index-el:

	xsltproc --stringparam root.filename "index.el" -o $(BASE) $(INDEXCHUNKXSL) website-index/el/website-index.xml

index-es:

	xsltproc --stringparam root.filename "index.es" -o $(BASE) $(INDEXCHUNKXSL) website-index/es/website-index.xml

index-et:

	xsltproc --stringparam root.filename "index.et" -o $(BASE) $(INDEXCHUNKXSL) website-index/et/website-index.xml

index-fi:

	xsltproc --stringparam root.filename "index.fi" -o $(BASE) $(INDEXCHUNKXSL) website-index/fi/website-index.xml

index-fr:

	xsltproc --stringparam root.filename "index.fr" -o $(BASE) $(INDEXCHUNKXSL) website-index/fr/website-index.xml

index-hr:

	xsltproc --stringparam root.filename "index.hr" -o $(BASE) $(INDEXCHUNKXSL) website-index/hr/website-index.xml

index-hu:

	xsltproc --stringparam root.filename "index.hu" -o $(BASE) $(INDEXCHUNKXSL) website-index/hu/website-index.xml

index-id:

	xsltproc --stringparam root.filename "index.id" -o $(BASE) $(INDEXCHUNKXSL) website-index/id/website-index.xml

index-is:

	xsltproc --stringparam root.filename "index.is" -o $(BASE) $(INDEXCHUNKXSL) website-index/is/website-index.xml

index-it:

	xsltproc --stringparam root.filename "index.it" -o $(BASE) $(INDEXCHUNKXSL) website-index/it/website-index.xml

index-ja:

	xsltproc --stringparam root.filename "index.ja" -o $(BASE) $(INDEXCHUNKXSL) website-index/ja/website-index.xml

index-ka:

	xsltproc --stringparam root.filename "index.ka" -o $(BASE) $(INDEXCHUNKXSL) website-index/ka/website-index.xml

index-ko:

	xsltproc --stringparam root.filename "index.ko" -o $(BASE) $(INDEXCHUNKXSL) website-index/ko/website-index.xml

index-ku:

	xsltproc --stringparam root.filename "index.ko" -o $(BASE) $(INDEXCHUNKXSL) website-index/ko/website-index.xml

index-lt:

	xsltproc --stringparam root.filename "index.lt" -o $(BASE) $(INDEXCHUNKXSL) website-index/lt/website-index.xml

index-nb:

	xsltproc --stringparam root.filename "index.nb" -o $(BASE) $(INDEXCHUNKXSL) website-index/nb/website-index.xml

index-pl:

	xsltproc --stringparam root.filename "index.pl" -o $(BASE) $(INDEXCHUNKXSL) website-index/pl/website-index.xml

index-pt:

	xsltproc --stringparam root.filename "index.pt" -o $(BASE) $(INDEXCHUNKXSL) website-index/pt/website-index.xml

index-pt_BR:

	xsltproc --stringparam root.filename "index.pt_BR" -o $(BASE) $(INDEXCHUNKXSL) website-index/pt_BR/website-index.xml

index-ro:

	xsltproc --stringparam root.filename "index.ro" -o $(BASE) $(INDEXCHUNKXSL) website-index/ro/website-index.xml

index-ru:

	xsltproc --stringparam root.filename "index.ru" -o $(BASE) $(INDEXCHUNKXSL) website-index/ru/website-index.xml

index-sk:

	xsltproc --stringparam root.filename "index.sv" -o $(BASE) $(INDEXCHUNKXSL) website-index/sv/website-index.xml

index-sv:

	xsltproc --stringparam root.filename "index.sv" -o $(BASE) $(INDEXCHUNKXSL) website-index/sv/website-index.xml

index-th:

	xsltproc --stringparam root.filename "index.th" -o $(BASE) $(INDEXCHUNKXSL) website-index/th/website-index.xml

index-tl:

	xsltproc --stringparam root.filename "index.tl" -o $(BASE) $(INDEXCHUNKXSL) website-index/tl/website-index.xml

index-tr:

	xsltproc --stringparam root.filename "index.tr" -o $(BASE) $(INDEXCHUNKXSL) website-index/tr/website-index.xml

index-zh_CN:

	xsltproc --stringparam root.filename "index.zh_CN" -o $(BASE) $(INDEXCHUNKXSL) website-index/zh_CN/website-index.xml

index-zh_TW:

	xsltproc --stringparam root.filename "index.zh_TW" -o $(BASE) $(INDEXCHUNKXSL) website-index/zh_TW/website-index.xml

=== ubuntu/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl
# Local path to newer xsl for use with fop 0.90
PDFSTYLE2=../libs/pdf/ubuntu-pdf2.xsl

# Base gnome directories for output from processor
BASE=../build/ubuntu/

PDFBASE=../build/pdf/ubuntu/

LULUBASE=../build/lulu/ubuntu/

RNBASE=../build/ubuntu/release-notes/

ABASE=../build/ubuntu/about-ubuntu/

DGBASE=../build/ubuntu/desktopguide/

PACKAGEBASE= ../build/ubuntu/packagingguide/

IMAGES=../build/ubuntu/images/

SERVERBASE=../build/ubuntu/serverguide/

SGBASE=../build/ubuntu/styleguide/

.PHONY: website

gdeb: 

website: au dg server package rn

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

# This builds all the guides in PDF format. You need to install Java, Apache Fop, the Jimi imaging library, and other horrible non-free things to make this work

pdf: server-pdf dg-pdf package-pdf

clean:
	rm -rf $(BASE)

#######################################
#
# Here begin the HTML build targets
# 
#######################################

# About Ubuntu Document
au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_GB $(ABASE)es $(ABASE)fi $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hr $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)ko $(ABASE)lo $(ABASE)lt $(ABASE)mk $(ABASE)nb $(ABASE)nl $(ABASE)oc $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sv $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)urd $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW

	@echo "--- Building About Ubuntu Document"
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

$(ABASE)%: aboutubuntu/%/about-ubuntu.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
		
#Status: AVAILABLE
# Release Notes
rn:
	@echo "--- Building the Ubuntu Release Notes . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

rn-C:	
	xsltproc --xinclude -o $(RNBASE)C/release-notes.html $(UBUNTUCHUNKXSL) releasenotes/C/release-notes.xml
	
# Desktop Guide

dg: $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)en_GB $(DGBASE)es $(DGBASE)et $(DGBASE)fi $(DGBASE)fr $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sr $(DGBASE)sv $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)urd $(DGBASE)zh_CN $(DGBASE)zh_TW

	@echo "--- Building the Ubuntu Desktop Guide . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

$(DGBASE)%: desktopguide/%/desktopguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

# Server Guide

server: $(SERVERBASE)C $(SERVERBASE)bn $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tr $(SERVERBASE)urd $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW 

	@echo "Building the Server Guide . . ."
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	mkdir -p $(SERVERBASE)sample
	cp -r ../generic/serverguide/sample/* $(SERVERBASE)sample/

$(SERVERBASE)%: ../generic/serverguide/%/serverguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

## Packaging Guide

package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)de $(PACKAGEBASE)es $(PACKAGEBASE)fr $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)hu $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)urd $(PACKAGEBASE)zh_CN

	@echo "Building the Packaging Guide . . ."
	mkdir -p $(PACKAGEBASE)images/C
	cp -r ../generic/packagingguide/images/C/*.* $(PACKAGEBASE)images/C/
	mkdir -p $(PACKAGEBASE)files
	cp -r ../generic/packagingguide/files/*.* $(PACKAGEBASE)files
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/

$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguideguide.xml
	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<

#######################################
#
# Here begin the PDF build targets
# 
#######################################

# Desktop Guide

dg-pdf: dg-pdf-C dg-pdf-am dg-pdf-be dg-pdf-bn dg-pdf-cs dg-pdf-da dg-pdf-de dg-pdf-en_GB dg-pdf-es dg-pdf-et dg-pdf-fi dg-pdf-fr dg-pdf-he dg-pdf-hu dg-pdf-id dg-pdf-it dg-pdf-ja dg-pdf-ka dg-pdf-ko dg-pdf-nb dg-pdf-nl dg-pdf-oc dg-pdf-pl dg-pdf-pt dg-pdf-pt_BR dg-pdf-ro dg-pdf-ru dg-pdf-sk dg-pdf-sr dg-pdf-sv dg-pdf-th dg-pdf-tl dg-pdf-tr dg-pdf-urd dg-pdf-zh_CN dg-pdf-zh_TW

dg-pdf-C:

	xsltproc --xinclude -o $(PDFBASE)C/desktopguide.fo $(PDFSTYLE) desktopguide/C/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
	#rm $(PDFBASE)C/desktopguide.fo

dg-pdf-am:

	xsltproc --xinclude -o $(PDFBASE)am/desktopguide.fo $(PDFSTYLE) desktopguide/am/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
	rm $(PDFBASE)am/desktopguide.fo

dg-pdf-be:

	xsltproc --xinclude -o $(PDFBASE)be/desktopguide.fo $(PDFSTYLE) desktopguide/be/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
	rm $(PDFBASE)be/desktopguide.fo

dg-pdf-bn:

	xsltproc --xinclude -o $(PDFBASE)bn/desktopguide.fo $(PDFSTYLE) desktopguide/bn/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
	rm $(PDFBASE)bn/desktopguide.fo

dg-pdf-cs:

	xsltproc --xinclude -o $(PDFBASE)cs/desktopguide.fo $(PDFSTYLE) desktopguide/cs/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
	rm $(PDFBASE)cs/desktopguide.fo

dg-pdf-da:

	xsltproc --xinclude -o $(PDFBASE)da/desktopguide.fo $(PDFSTYLE) desktopguide/da/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
	rm $(PDFBASE)da/desktopguide.fo

dg-pdf-de:

	xsltproc --xinclude -o $(PDFBASE)de/desktopguide.fo $(PDFSTYLE) desktopguide/de/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
	rm $(PDFBASE)de/desktopguide.fo

dg-pdf-en_GB:

	xsltproc --xinclude -o $(PDFBASE)en_GB/desktopguide.fo $(PDFSTYLE) desktopguide/en_GB/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
	rm $(PDFBASE)en_GB/desktopguide.fo

dg-pdf-es:

	xsltproc --xinclude -o $(PDFBASE)es/desktopguide.fo $(PDFSTYLE) desktopguide/es/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
	rm $(PDFBASE)es/desktopguide.fo

dg-pdf-et:

	xsltproc --xinclude -o $(PDFBASE)et/desktopguide.fo $(PDFSTYLE) desktopguide/et/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
	rm $(PDFBASE)et/desktopguide.fo

dg-pdf-fi:

	xsltproc --xinclude -o $(PDFBASE)fi/desktopguide.fo $(PDFSTYLE) desktopguide/fi/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fi/desktopguide.fo -pdf $(PDFBASE)fi/desktopguide.pdf
	rm $(PDFBASE)fi/desktopguide.fo

dg-pdf-fr:

	xsltproc --xinclude -o $(PDFBASE)fr/desktopguide.fo $(PDFSTYLE) desktopguide/fr/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
	rm $(PDFBASE)fr/desktopguide.fo

dg-pdf-he:

	xsltproc --xinclude -o $(PDFBASE)he/desktopguide.fo $(PDFSTYLE) desktopguide/he/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)he/desktopguide.fo -pdf $(PDFBASE)he/desktopguide.pdf
	rm $(PDFBASE)he/desktopguide.fo

dg-pdf-hr:

	xsltproc --xinclude -o $(PDFBASE)hr/desktopguide.fo $(PDFSTYLE) desktopguide/hr/desktopguide.xml
	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)hr/desktopguide.fo -pdf $(PDFBASE)hr/desktopguide.pdf

=== debian/changelog ===
ubuntu-docs (6.06.1) dapper; urgency=low

  * removing useless link (Ubuntu: #47016)

 -- Matthew East <mdke@ubuntu.com>  Sun, 28 May 2006 01:44:00 +0100

ubuntu-docs (6.05.6) dapper; urgency=low

  * Replace `Ubuntu 6.06, Dapper Drake' with `Ubuntu 6.06 LTS'.
  * Replace 6.04 with 60.6 in generic/libs/generic.ent.
  * New sk translation of desktopguide (patch via mdke).
  * Remove `ka_GE' from DapperFirefoxStartPageTranslation locale list.
    It's too near to the Dapper release to complete the remaining stages
    of the adding-a-locale process, and we must not stop halfway.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 23 May 2006 15:39:25 +0100

ubuntu-docs (6.05.5) dapper; urgency=low

  * Updated translations for everything (last update before the release)
  * [Daniel Holbach]
    - debian/README: updated.

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 May 2006 17:31:00 +0100

ubuntu-docs (6.05.4) UNRELEASED; urgency=low

  * Adding preface.xml for zh_TW (was causing scrollkeeper errors)
  * DapperFirefoxStartPageTranslation - new translateable locale `ka_GE'

 -- Matthew East <mdke@ubuntu.com>  Wed, 17 May 2006 20:53:00 +0100

ubuntu-docs (6.05.3) dapper; urgency=low

  * DapperFirefoxStartPageTranslation for epiphany:
    produce an index-C.html for epiphany's index-%l.html.
  * New translateable locale `ku'.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 17:18:19 +0100

ubuntu-docs (6.05.2) dapper; urgency=low

  * New snapshot of translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Sun, 14 May 2006 12:42:00 +0100

ubuntu-docs (6.05.1) dapper; urgency=low

  * Taking html out of shipped documentation.
  * Adding preface.xml for those translations which have them
  * New snapshot of translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Tue, 02 May 2006 19:23:16 +0200

ubuntu-docs (6.04.8) dapper; urgency=low

  * [Matthew East and the Docteam]
    - Adding some symbolic links so that the css and images in localised 
      firefox homepages work
    - Adding translations of the documents (BIG INCREASE IN PACKAGE SIZE)
    - Moved to debhelper 5 so that we can use comments in debian/install to 
      keep track of what has now become a long and confusing file.
    - Relocated sample folders up a directory so that they don't need to be 
      included for each translation
  * [Daniel Holbach]
    - debian/README:
      - updated instructions to obtain 'source' for ubuntu-docs.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 23 Apr 2006 08:39:40 +0200

ubuntu-docs (6.04.7) dapper; urgency=low

  * Revised DapperFirefoxStartPageTranslation:
    - new slave alternatives directory for translated homepages
    - automatic script for generation of link farm

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 21 Apr 2006 18:05:36 +0100

ubuntu-docs (6.04.6) dapper; urgency=low

  * SVN checkout to make mdke happy. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 15 Apr 2006 13:58:57 +0200

ubuntu-docs (6.04.5) dapper; urgency=low

  * Massive reduction in source package (to make dholbach happy)
  * Adding more firefox homepage translations

 -- Matthew East <mdke@ubuntu.com>  Tue, 11 Apr 2006 22:26:00 +0100

ubuntu-docs (6.04.4) dapper; urgency=low

  * The "gee the docteam rocks nowadays" release
  * Documentation string freeze
  * Pot templates for about ubuntu, desktop guide, server guide, packagingguide, preface
  * Fixing broken entity in about ubuntu
  * Adding more firefox homepage translations

 -- Matthew East <mdke@ubuntu.com>  Fri, 07 Apr 2006 15:11:07 +0100

ubuntu-docs (6.04.3) dapper; urgency=low

  * Adding links for dummy firefox homepage translations
  * Adding lt translation of firefox homepage

 -- Matthew East <mdke@ubuntu.com>  Tue, 05 Apr 2006 15:11:07 +0100

ubuntu-docs (6.04.2) dapper; urgency=low

  * Adding a link for common files in /usr/share/gnome (fixes malone 37979)

 -- Matthew East <mdke@ubuntu.com>  Tue, 04 Apr 2006 11:11:07 +0100

ubuntu-docs (6.04.1) dapper; urgency=low

  * New SVN snapshot:
    - Rewrite of About Ubuntu document.
    - Updated pot file for About-Ubuntu

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 03 Apr 2006 20:55:07 +0200

ubuntu-docs (6.03.5) dapper; urgency=low

  * New SVN snapshot.
  * debian/control:
    - added docbook-xml to Build-Depends.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sun, 26 Mar 2006 16:06:40 +0200

ubuntu-docs (6.03.4) dapper; urgency=low

  * New SVN snapshot, should make scrollkeeper happy again. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 25 Mar 2006 13:11:39 +0100

ubuntu-docs (6.03.3) dapper; urgency=low

  * New SVN snapshot. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Mar 2006 14:46:49 +0100

ubuntu-docs (6.03.2) dapper; urgency=low

  * New SVN snapshot. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 14 Mar 2006 13:10:44 +0100

ubuntu-docs (6.03.1) dapper; urgency=low

  * lots of new material from the whole team
  * new style for browser homepage, including some images
  * corrected position of the sample directories for desktop/server guide html versions

 -- Matthew East <mdke@ubuntu.com>  Wed, 8 Mar 2006 16:11:00 +0000

ubuntu-docs (6.02.3) dapper; urgency=low

  * New SVN snapshot.
    - enhanced copyright file (Malone: #27923)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 28 Feb 2006 08:16:47 +0100

ubuntu-docs (6.02.2) dapper; urgency=low

  * New SVN snapshot.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 21 Feb 2006 14:02:23 +0100

ubuntu-docs (6.02.1) dapper; urgency=low

  * New SVN snapshot.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 13 Feb 2006 17:31:48 +0100

ubuntu-docs (6.01.6) dapper; urgency=low

  * removing links to html versions of the guides from Yelp Table of Contents
  * new material for desktopguide (Naaman Campbell, Milo Casagrande, mdke); lots of bugs fixed; fairly drastic re-organisation: please test and give feedback!!
  * new material for serverguide (bhuvan)


=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends-Indep: debhelper (>= 5.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml
Standards-Version: 3.6.2

Package: ubuntu-docs
Architecture: all
Depends: scrollkeeper
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Recommends: yelp
Description: The Ubuntu Documentation Project
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. It includes the Ubuntu Desktop Guide, 
 the Ubuntu Server Guide, the Ubuntu Packaging Guide and two documents about Ubuntu.  The guides can 
 be viewed using Yelp, the GNOME help browser, or by Firefox as html 
 documents.

## ubuntu-docs 6.06.2

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,10 @@
 
 	make -C kubuntu -f Makefile website pdf
 
+	@echo "Building the Xubuntu Docs . . ."
+
+	make -C xubuntu -f Makefile website pdf
+
 index-all: index-C index-be index-bn index-bo index-cs index-da index-de index-el index-es index-et index-fi index-fr index-hr index-hu index-id index-is index-it index-ja index-ka index-ko index-ku index-lt index-nb index-pl index-pt index-pt_BR index-ru index-ro index-sk index-sv index-th index-tl index-tr index-zh_CN index-zh_TW
 
 	cp libs/index.css $(BASE)

=== ubuntu/Makefile ===
--- 
+++ 
@@ -99,7 +99,7 @@
 #######################################
 
 # About Ubuntu Document
-au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_GB $(ABASE)es $(ABASE)fi $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hr $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)ko $(ABASE)lo $(ABASE)lt $(ABASE)mk $(ABASE)nb $(ABASE)nl $(ABASE)oc $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sv $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)urd $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW
+au: $(ABASE)C $(ABASE)af $(ABASE)am $(ABASE)ar $(ABASE)bg $(ABASE)bn $(ABASE)bs $(ABASE)ca $(ABASE)cs $(ABASE)da $(ABASE)de $(ABASE)el $(ABASE)en_GB $(ABASE)es $(ABASE)fi $(ABASE)fr $(ABASE)gl $(ABASE)he $(ABASE)hr $(ABASE)id $(ABASE)is $(ABASE)it $(ABASE)ja $(ABASE)jv $(ABASE)ka $(ABASE)ko $(ABASE)lo $(ABASE)lt $(ABASE)mk $(ABASE)nb $(ABASE)nl $(ABASE)oc $(ABASE)pl $(ABASE)pt $(ABASE)pt_BR $(ABASE)ro $(ABASE)ru $(ABASE)sco $(ABASE)sk $(ABASE)sl $(ABASE)sv $(ABASE)th $(ABASE)tl $(ABASE)tr $(ABASE)urd $(ABASE)zh_CN $(ABASE)zh_HK $(ABASE)zh_TW $(ABASE)ur $(ABASE)nn $(ABASE)es_PR $(ABASE)eo $(ABASE)et
 
 	@echo "--- Building About Ubuntu Document"
 	# copy style sheet and common images to build directory
@@ -136,7 +136,7 @@
 	
 # Desktop Guide
 
-dg: $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)en_GB $(DGBASE)es $(DGBASE)et $(DGBASE)fi $(DGBASE)fr $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sr $(DGBASE)sv $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)urd $(DGBASE)zh_CN $(DGBASE)zh_TW
+dg: $(DGBASE)C $(DGBASE)am $(DGBASE)be $(DGBASE)bn $(DGBASE)cs $(DGBASE)da $(DGBASE)de $(DGBASE)en_GB $(DGBASE)es $(DGBASE)et $(DGBASE)fi $(DGBASE)fr $(DGBASE)he $(DGBASE)hr $(DGBASE)hu $(DGBASE)id $(DGBASE)it $(DGBASE)ja $(DGBASE)ka $(DGBASE)ko $(DGBASE)nb $(DGBASE)nl $(DGBASE)oc $(DGBASE)pl $(DGBASE)pt $(DGBASE)pt_BR $(DGBASE)ro $(DGBASE)ru $(DGBASE)sk $(DGBASE)sr $(DGBASE)sv $(DGBASE)th $(DGBASE)tl $(DGBASE)tr $(DGBASE)urd $(DGBASE)zh_CN $(DGBASE)zh_TW $(DGBASE)ur $(DGBASE)ca $(DGBASE)el $(DGBASE)sl
 
 	@echo "--- Building the Ubuntu Desktop Guide . . ."
 	# copy style sheet and common images to build directory
@@ -155,7 +155,7 @@
 
 # Server Guide
 
-server: $(SERVERBASE)C $(SERVERBASE)bn $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tr $(SERVERBASE)urd $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW 
+server: $(SERVERBASE)C $(SERVERBASE)bn $(SERVERBASE)de $(SERVERBASE)en_GB $(SERVERBASE)es $(SERVERBASE)et $(SERVERBASE)fr $(SERVERBASE)he $(SERVERBASE)hu $(SERVERBASE)id $(SERVERBASE)it $(SERVERBASE)ko $(SERVERBASE)lt $(SERVERBASE)nb $(SERVERBASE)pl $(SERVERBASE)pt $(SERVERBASE)pt_BR $(SERVERBASE)ro $(SERVERBASE)ru $(SERVERBASE)sk $(SERVERBASE)sv $(SERVERBASE)th $(SERVERBASE)tr $(SERVERBASE)urd $(SERVERBASE)zh_CN $(SERVERBASE)zh_TW $(SERVERBASE)ur $(SERVERBASE)nl $(SERVERBASE)cs
 
 	@echo "Building the Server Guide . . ."
 	# copy style sheet and common images to build directory
@@ -176,7 +176,7 @@
 
 ## Packaging Guide
 
-package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)de $(PACKAGEBASE)es $(PACKAGEBASE)fr $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)hu $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)urd $(PACKAGEBASE)zh_CN
+package: $(PACKAGEBASE)C $(PACKAGEBASE)bn $(PACKAGEBASE)cs $(PACKAGEBASE)de $(PACKAGEBASE)es $(PACKAGEBASE)fr $(PACKAGEBASE)id $(PACKAGEBASE)it $(PACKAGEBASE)hu $(PACKAGEBASE)ka $(PACKAGEBASE)ko $(PACKAGEBASE)pl $(PACKAGEBASE)pt $(PACKAGEBASE)pt_BR $(PACKAGEBASE)ro $(PACKAGEBASE)ru $(PACKAGEBASE)sk $(PACKAGEBASE)sv $(PACKAGEBASE)th $(PACKAGEBASE)tl $(PACKAGEBASE)tr $(PACKAGEBASE)urd $(PACKAGEBASE)zh_CN $(PACKAGEBASE)sl $(PACKAGEBASE)oc $(PACKAGEBASE)ur
 
 	@echo "Building the Packaging Guide . . ."
 	mkdir -p $(PACKAGEBASE)images/C
@@ -194,7 +194,7 @@
 	cp libs/*css ../build/ubuntu/common/
 	cp libs/img/*png ../build/ubuntu/common/img/
 
-$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguideguide.xml
+$(PACKAGEBASE)%: ../generic/packagingguide/%/packagingguide.xml
 	xsltproc --xinclude -o $@/index.html $(UBUNTUCHUNKXSL) $<
 
 #######################################
@@ -210,82 +210,87 @@
 dg-pdf-C:
 
 	xsltproc --xinclude -o $(PDFBASE)C/desktopguide.fo $(PDFSTYLE) desktopguide/C/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
-	#rm $(PDFBASE)C/desktopguide.fo
+	fop -fo $(PDFBASE)C/desktopguide.fo -pdf $(PDFBASE)C/desktopguide.pdf
+	rm $(PDFBASE)C/desktopguide.fo
 
 dg-pdf-am:
 
 	xsltproc --xinclude -o $(PDFBASE)am/desktopguide.fo $(PDFSTYLE) desktopguide/am/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
+	fop -fo $(PDFBASE)am/desktopguide.fo -pdf $(PDFBASE)am/desktopguide.pdf
 	rm $(PDFBASE)am/desktopguide.fo
 
 dg-pdf-be:
 
 	xsltproc --xinclude -o $(PDFBASE)be/desktopguide.fo $(PDFSTYLE) desktopguide/be/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
+	fop -fo $(PDFBASE)be/desktopguide.fo -pdf $(PDFBASE)be/desktopguide.pdf
 	rm $(PDFBASE)be/desktopguide.fo
 
 dg-pdf-bn:
 
 	xsltproc --xinclude -o $(PDFBASE)bn/desktopguide.fo $(PDFSTYLE) desktopguide/bn/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
+	fop -fo $(PDFBASE)bn/desktopguide.fo -pdf $(PDFBASE)bn/desktopguide.pdf
 	rm $(PDFBASE)bn/desktopguide.fo
 
 dg-pdf-cs:
 
 	xsltproc --xinclude -o $(PDFBASE)cs/desktopguide.fo $(PDFSTYLE) desktopguide/cs/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
+	fop -fo $(PDFBASE)cs/desktopguide.fo -pdf $(PDFBASE)cs/desktopguide.pdf
 	rm $(PDFBASE)cs/desktopguide.fo
 
 dg-pdf-da:
 
 	xsltproc --xinclude -o $(PDFBASE)da/desktopguide.fo $(PDFSTYLE) desktopguide/da/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
+	fop -fo $(PDFBASE)da/desktopguide.fo -pdf $(PDFBASE)da/desktopguide.pdf
 	rm $(PDFBASE)da/desktopguide.fo
 
 dg-pdf-de:
 
 	xsltproc --xinclude -o $(PDFBASE)de/desktopguide.fo $(PDFSTYLE) desktopguide/de/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
+	fop -fo $(PDFBASE)de/desktopguide.fo -pdf $(PDFBASE)de/desktopguide.pdf
 	rm $(PDFBASE)de/desktopguide.fo
 
 dg-pdf-en_GB:
 
 	xsltproc --xinclude -o $(PDFBASE)en_GB/desktopguide.fo $(PDFSTYLE) desktopguide/en_GB/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
+	fop -fo $(PDFBASE)en_GB/desktopguide.fo -pdf $(PDFBASE)en_GB/desktopguide.pdf
 	rm $(PDFBASE)en_GB/desktopguide.fo
 
 dg-pdf-es:
 
 	xsltproc --xinclude -o $(PDFBASE)es/desktopguide.fo $(PDFSTYLE) desktopguide/es/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
+	fop -fo $(PDFBASE)es/desktopguide.fo -pdf $(PDFBASE)es/desktopguide.pdf
 	rm $(PDFBASE)es/desktopguide.fo
 
 dg-pdf-et:
 
 	xsltproc --xinclude -o $(PDFBASE)et/desktopguide.fo $(PDFSTYLE) desktopguide/et/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
+	fop -fo $(PDFBASE)et/desktopguide.fo -pdf $(PDFBASE)et/desktopguide.pdf
 	rm $(PDFBASE)et/desktopguide.fo
 
 dg-pdf-fi:
 
 	xsltproc --xinclude -o $(PDFBASE)fi/desktopguide.fo $(PDFSTYLE) desktopguide/fi/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fi/desktopguide.fo -pdf $(PDFBASE)fi/desktopguide.pdf
+	fop -fo $(PDFBASE)fi/desktopguide.fo -pdf $(PDFBASE)fi/desktopguide.pdf
 	rm $(PDFBASE)fi/desktopguide.fo
 
 dg-pdf-fr:
 
 	xsltproc --xinclude -o $(PDFBASE)fr/desktopguide.fo $(PDFSTYLE) desktopguide/fr/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
+	fop -fo $(PDFBASE)fr/desktopguide.fo -pdf $(PDFBASE)fr/desktopguide.pdf
 	rm $(PDFBASE)fr/desktopguide.fo
 
 dg-pdf-he:
 
 	xsltproc --xinclude -o $(PDFBASE)he/desktopguide.fo $(PDFSTYLE) desktopguide/he/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)he/desktopguide.fo -pdf $(PDFBASE)he/desktopguide.pdf
+	fop -fo $(PDFBASE)he/desktopguide.fo -pdf $(PDFBASE)he/desktopguide.pdf
 	rm $(PDFBASE)he/desktopguide.fo
 
 dg-pdf-hr:
 
 	xsltproc --xinclude -o $(PDFBASE)hr/desktopguide.fo $(PDFSTYLE) desktopguide/hr/desktopguide.xml
-	fop -c ../libs/pdf/fop.xconf -fo $(PDFBASE)hr/desktopguide.fo -pdf $(PDFBASE)hr/desktopguide.pdf
+	fop -fo $(PDFBASE)hr/desktopguide.fo -pdf $(PDFBASE)hr/desktopguide.pdf
+	rm $(PDFBASE)hr/desktopguide.fo
+
+dg-pdf-hu:
+
+	xsltproc --xinclude -o $(PDFBASE)hu/desktopguide.fo $(PDFSTYLE) desktopguide/hu/desktopguide.xml

=== debian/changelog ===
ubuntu-docs (6.06.2) dapper-updates; urgency=low

  * New snapshot of translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Fri, 16 June 2006 13:25:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = ubuntu

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common

common-binary-post-install-indep::
	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		ubuntu/browser-startpage \
		debian/ubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-ubuntu \
		../index.html

## ubuntu-docs 6.10.4

=== Makefile ===
####################################################################################           
# Makefile for the Ubuntu Documentation Website
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Ubuntu Docbook Customization Layer

INDEXCHUNKXSL=libs/index-html-chunk-cust.xsl

# Base gnome directories for output from processor
BASE=build/

website: index-all ubuntu-book
	@echo "Building the Ubuntu Docs . . ."

	make -C ubuntu -f Makefile website pdf

	@echo "Building the Kubuntu Docs . . ."

	make -C kubuntu -f Makefile website pdf

	@echo "Building the Xubuntu Docs . . ."

	make -C xubuntu -f Makefile web pdf

ubuntu-book:

	mkdir -p $(BASE)book/
	cp -r book/* $(BASE)book/

style:

	cp libs/index.css $(BASE)
	mkdir -p $(BASE)ubuntu/common/img/
	cp ubuntu/libs/img/*png $(BASE)ubuntu/common/img/

index-all: style

	for x in ubuntu/desktopguide/*; do y=$$(basename $${x} website-index/); echo $${y}; xsltproc --stringparam root.filename "index.$${y}" -o $(BASE) $(INDEXCHUNKXSL) website-index/$${y}/website-index.xml;	done

=== debian/changelog ===
ubuntu-docs (6.10.4) edgy; urgency=low

  * Updating omf files for getting-help
  * Removing es_ES locale for aboutubuntu (duplicate of es) - bug 66819

 -- Matthew East <mdke@ubuntu.com>  Fri, 20 Oct 2006 20:30:00 +0100

ubuntu-docs (6.10.3) edgy; urgency=low

  * Matthew East:
    - Fixing translations by installing *omf files for each document and 
      fixing paths in the omf files
  * Daniel Holbach:
    - fix installation, run dh_scrollkeeper.

 -- Matthew East <mdke@ubuntu.com>  Wed, 18 Oct 2006 22:00:00 +0100

ubuntu-docs (6.10.2) edgy; urgency=low

  * Adding translations for all documents

 -- Matthew East <mdke@ubuntu.com>  Sun, 15 Oct 2006 10:30:00 +0100

ubuntu-docs (6.10.1) edgy; urgency=low

  * Including po files for translations in source package, as requested by Carlos.
  * Adding pot template and correcting typo in omf file for Getting Help document.

 -- Matthew East <mdke@ubuntu.com>  Sun, 30 Sep 2006 12:00:00 +0100

ubuntu-docs (6.09.3) edgy; urgency=low

  * New SVN checkout.
  * ubuntu/browser-startpage/*:
    - changed occurrences of Dapper, Drake, 6.06, LTS, ... to their 'edgy'
      equivalents - there are more strings to change outside of this.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 26 Sep 2006 12:42:25 +0200

ubuntu-docs (6.09.2) edgy; urgency=low

  * New SVN checkout. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 21 Sep 2006 22:52:02 +0200

ubuntu-docs (6.09.1) edgy; urgency=low

  * New release.
  * debian/control:
    - removed Depends on gnome2-user-guide, after discussion with Corey
      Burger.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 15 Sep 2006 17:55:30 +0200

ubuntu-docs (6.08.2) edgy; urgency=low

  * New "Contribute to Ubuntu" doc, written by Andreas Lloyd and imported from the wiki
  * Desktop guide significantly restructured, now includes the Gnome user-guide
  * Including pot templates for automatic import into Rosetta

 -- Matthew East <mdke@ubuntu.com>  Mon, 28 August 2006 22:00:00 +0100

ubuntu-docs (6.08.1) edgy; urgency=low

  * first package for Edgy
  * removing translations of documentation
  * changing installation directory for documentation from /usr/share/ubuntu-doc
     to /usr/share/gnome/help to integrate with gnome help system
  * splitting documents up to make a nicer structure for help system, hopefully
  .
  * [Daniel Holbach]
    - debian/README: updated repository URL. 
    - debian/control:
      - bumped Standards-Version,
      - made cdbs and debhelper Build-Depends, not Build-Depends-Indep.
    - debian/install:
      - changed ubuntuheader.png location.

 -- Matthew East <mdke@ubuntu.com>  Fri, 2 August 2006 14:00:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,21 @@
 		debian/ubuntu-docs \
 		/usr/share/ubuntu-artwork/home/locales-ubuntu \
 		../index.html
+
+
+	for dir in aboutubuntu desktopguide getting-help; do \
+		mkdir -p debian/ubuntu-docs/usr/share/omf/$$dir/; \
+		for file in `find ubuntu/$$dir/ -type f -iname '*.omf'`; do \
+			cp $$file debian/ubuntu-docs/usr/share/omf/$$dir/; \
+		done; \
+	done
+	for dir in serverguide packagingguide contribute; do \
+		mkdir -p debian/ubuntu-docs/usr/share/omf/$$dir/; \
+		for file in `find generic/$$dir/ -type f -iname '*.omf'`; do \
+			cp $$file debian/ubuntu-docs/usr/share/omf/$$dir/; \
+		done; \
+	done
+
+	mv debian/ubuntu-docs/usr/share/omf/aboutubuntu/ debian/ubuntu-docs/usr/share/omf/about-ubuntu
+
+	dh_scrollkeeper
